VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Member Functions | List of all members
HostAttributeList Class Referencefinal
Common Hosting SDK Implementation Helper Classes

Example, ready to use implementation of IAttributeList. More...

`#include <hostclasses.h>`

Inheritance diagram for HostAttributeList:

## Public Member Functions
tresult | setInt (AttrID aid, int64 value) override
tresult | getInt (AttrID aid, int64 &value) override
tresult | setFloat (AttrID aid, double value) override
tresult | getFloat (AttrID aid, double &value) override
tresult | setString (AttrID aid, const TChar *string) override
tresult | getString (AttrID aid, TChar *string, uint32 sizeInBytes) override
tresult | setBinary (AttrID aid, const void *data, uint32 sizeInBytes) override
tresult | getBinary (AttrID aid, const void *&data, uint32 &sizeInBytes) override
virtual | ~HostAttributeList () noexcept
virtual tresult | setInt (AttrID id, int64 value)=0
virtual tresult | getInt (AttrID id, int64 &value)=0
virtual tresult | setFloat (AttrID id, double value)=0
virtual tresult | getFloat (AttrID id, double &value)=0
virtual tresult | setString (AttrID id, const TChar *string)=0
virtual tresult | getString (AttrID id, TChar *string, uint32 sizeInBytes)=0
virtual tresult | setBinary (AttrID id, const void *data, uint32 sizeInBytes)=0
virtual tresult | getBinary (AttrID id, const void *&data, uint32 &sizeInBytes)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Member Functions
static IPtr< IAttributeList > | make ()
| make a new attribute list instance More...

## Additional Inherited Members
Public Types inherited from IAttributeList
typedef const char * | AttrID
Static Public Attributes inherited from IAttributeList
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Example, ready to use implementation of IAttributeList.

## Constructor & Destructor Documentation

## ◆ ~HostAttributeList()

~HostAttributeList | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ make()

static IPtr< IAttributeList > make | ( |  | ) |
| static

make a new attribute list instance

## ◆ setInt()

tresult setInt | ( | AttrID | aid,
|  | int64 | value
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ getInt()

tresult getInt | ( | AttrID | aid,
|  | int64 & | value
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ setFloat()

tresult setFloat | ( | AttrID | aid,
|  | double | value
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ getFloat()

tresult getFloat | ( | AttrID | aid,
|  | double & | value
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ setString()

tresult setString | ( | AttrID | aid,
|  | const TChar * | string
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ getString()

tresult getString | ( | AttrID | aid,
|  | TChar * | string,
|  | uint32 | sizeInBytes
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ setBinary()

tresult setBinary | ( | AttrID | aid,
|  | const void * | data,
|  | uint32 | sizeInBytes
| ) |  |
| override virtual

Implements IAttributeList.

## ◆ getBinary()

tresult getBinary | ( | AttrID | aid,
|  | const void *& | data,
|  | uint32 & | sizeInBytes
| ) |  |
| override virtual

Implements IAttributeList.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.